#!/bin/bash -l
#SBATCH -N 1 # Allocate at most 5 tasks for job steps in the job
#SBATCH --cpus-per-task=1 # Each task needs only one CPU
#SBATCH --mem=2G # This particular job won’t need much memory
#SBATCH --job-name=“nf_nwp_self_sup_bilevel”
#SBATCH --output=results/cifar10/self_sup_init/run_4_bilevel_nofreeze_nowarmup.txt # logging per job and per host in the current directory. Both stdout and stderr are logged
#SBATCH -p gpu
#SBATCH --gres=gpu:2

source ~/.bashrc
conda activate research
python loss_search_selfbackbone.py --config ./configs/cifar10/self_sup_init/1_selfsup_bilevel_nofreeze_nowarmup.yaml