#!/bin/bash -l
#SBATCH -N 1 # Allocate at most 5 tasks for job steps in the job
#SBATCH --cpus-per-task=1 # Each task needs only one CPU
#SBATCH --mem=2G # This particular job won’t need much memory
#SBATCH --job-name=“nf_retraining_selfsupinit”
#SBATCH --output=results/cifar10/self_sup_init/run_1_retraining_selfsupinit_nofreeze2.txt # logging per job and per host in the current directory. Both stdout and stderr are logged
#SBATCH -p gpu
#SBATCH --gres=gpu:2

source ~/.bashrc
conda activate research
python retraining_selfsupinit.py --config ./results/cifar10/self_sup_init/bilevel/1_nofreeze_2/config.yaml