#!/bin/bash -l
#SBATCH -N 1 # Allocate at most 5 tasks for job steps in the job
#SBATCH --cpus-per-task=1 # Each task needs only one CPU
#SBATCH --mem=2G # This particular job won’t need much memory
#SBATCH --job-name="wCE_nofreeze"
#SBATCH --output=results/cifar10/wCE_init_split/wCE_nofreeze.txt # logging per job and per host in the current directory. Both stdout and stderr are logged
#SBATCH -p gpu
#SBATCH --gres=gpu:2

source ~/.bashrc
conda activate research
python loss_search_selfbackbone.py --config ./configs/cifar10/wCE_init_split/simple_training/wCE_nofreeze.yaml
